package cn.estsh.i3plus.pojo.wms.sqlpack;

import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.wms.bean.InterfaceDevice;
import cn.estsh.i3plus.pojo.wms.bean.WareHouse;

/**
 * @Description : 仓库管理对象封装
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-10-31 10:45
 * @Modify:
 **/
public class WmsHqlPack {

    /**
     * 工厂仓库模糊分页查询
     * @param wareHouse
     * @return
     */
    public static String packHqlFactoryStore(WareHouse wareHouse) {
        StringBuffer result = new StringBuffer();

        // 部门名称
        HqlPack.getStringLikerPack(wareHouse.getCode(),"code", result);
        // 部门代码
        HqlPack.getStringLikerPack(wareHouse.getName(),"name", result);

        return result.toString();
    }

    /**
     *  接口驱动类信息 分页查询
     * @return
     */
    public static String packHqlInterfaceDevice(InterfaceDevice interfaceDevice){
        StringBuffer sb = new StringBuffer();
        //驱动类名称
        HqlPack.getStringEqualPack(interfaceDevice.getDeviceClassName(),"deviceClassName",sb);

        return null;
    }
}
